﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace Demo.Asymmetric.Payment.Data {
    public class Merchant {

        [Key]
        public int MerchantId { get; set; }

        [Required, StringLength(100)]
        public string CompanyName { get; set; }

        [Required, StringLength(100)]
        public string CallbackUrl { get; set; }

        [Required, StringLength(40)]
        public string CertificateThumbprint { get; set; }

        public virtual ICollection<Transaction> Transactions { get; set; }

    }
}