﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace Demo.Unsecure.Payment.Data {
    public class Transaction {

        // Properties

        [Key]
        public int TransactionId { get; set; }

        public DateTime DateCreated { get; set; }

        public int MerchantOrderId { get; set; }

        public decimal Amount { get; set; }

        public bool Status { get; set; }

        public Merchant Merchant { get; set; }

        // Constructor

        public Transaction() {
            this.DateCreated = DateTime.Now;
        }

    }
}