﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Web;

namespace Demo.Unsecure.Payment.Data {
    public class PaymentDbContext : DbContext {

        public DbSet<Merchant> Merchants { get; set; }

        public DbSet<Transaction> Transactions { get; set; }

    }

    public class PaymentDbContextInitializer : DropCreateDatabaseIfModelChanges<PaymentDbContext> {

        protected override void Seed(PaymentDbContext context) {
            context.Merchants.Add(new Merchant {
                CompanyName = "Contoso, s. r. o",
                CallbackUrl = "http://localhost:24561/Callback.aspx?Status={0}&OrderId={1}"
            });
        }

    }
}