﻿<%@ Page Title="Payment Gateway" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Demo.Unsecure.Payment.Default" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <article>
        <header>List of transactions</header>
        <asp:ListView runat="server" ItemType="Demo.Unsecure.Payment.Data.Transaction" SelectMethod="SelectTransactions">
            <EmptyDataTemplate>
                <p>No transactions recorded.</p>
            </EmptyDataTemplate>
            <LayoutTemplate>
                <table class="grid">
                    <thead>
                        <tr>
                            <th>Tran ID</th>
                            <th>Order ID</th>
                            <th>Merchant</th>
                            <th>Amount</th>
                            <th>Status</th>
                        </tr>
                    </thead>
                    <tbody>
                        <asp:PlaceHolder ID="ItemPlaceHolder" runat="server" />
                    </tbody>
                </table>
            </LayoutTemplate>
            <ItemTemplate>
                <tr>
                    <td class="r">
                        <%#: Item.TransactionId %>
                    </td>
                    <td class="r">
                        <%#: Item.MerchantOrderId %>
                    </td>
                    <td>
                        <%#: Item.Merchant.CompanyName %>
                    </td>
                    <td class="r">
                        <%#: Item.Amount.ToString("C") %>
                    </td>
                    <td class="c">
                        <asp:CheckBox runat="server" Enabled="false" Checked="<%# Item.Status %>" />
                    </td>
                </tr>
            </ItemTemplate>
        </asp:ListView>
    </article>
</asp:Content>
