﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Demo.Unsecure.Shop.Data;

namespace Demo.Unsecure.Shop {
    public partial class Callback : System.Web.UI.Page {
        protected void Page_Load(object sender, EventArgs e) {
            if (this.Request.QueryString["Status"] == "1") {
                // Success
                this.LiteralSuccess.Visible = true;
                var orderId = int.Parse(this.Request.QueryString["OrderId"]);
                using (var dc = new ShopDbContext()) {
                    var o = dc.Orders.Single(x => x.OrderId == orderId);
                    o.PaidFor = true;
                    dc.SaveChanges();
                }
            }
            else {
                // Failure
                this.LiteralFailure.Visible = true;
            }
        }
    }
}